Package org.apache.avro.idl

# Class IdlSchemaFormatter

java.lang.Object
org.apache.avro.idl.IdlSchemaFormatter

All Implemented Interfaces:
  `org.apache.avro.SchemaFormatter`

public class IdlSchemaFormatter extends Object implements org.apache.avro.SchemaFormatter

## Constructor Summary

Constructors
Constructor
Description
`IdlSchemaFormatter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(org.apache.avro.Schema schema)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdlSchemaFormatter

public IdlSchemaFormatter()

## Method Details

### format

public String format(org.apache.avro.Schema schema)

Specified by:
  `format` in interface `org.apache.avro.SchemaFormatter`